Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network158.196.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
158.196.0.0
Broadcast address
158.197.255.255
First usable
158.196.0.1
Last usable
158.197.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 9EC40000 · Integer 2663645184 to 2663776255
Reverse DNS zones
196.158.in-addr.arpa
197.158.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011110.11000100.00000000.00000000158.196.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10011110.11000100.00000000.00000000158.196.0.0
Broadcast10011110.11000101.11111111.11111111158.197.255.255
Split into smaller subnets/22

158.196.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1158.196.0.0/22158.196.0.1 to 158.196.3.254158.196.3.2551,022
2158.196.4.0/22158.196.4.1 to 158.196.7.254158.196.7.2551,022
3158.196.8.0/22158.196.8.1 to 158.196.11.254158.196.11.2551,022
4158.196.12.0/22158.196.12.1 to 158.196.15.254158.196.15.2551,022
5158.196.16.0/22158.196.16.1 to 158.196.19.254158.196.19.2551,022
6158.196.20.0/22158.196.20.1 to 158.196.23.254158.196.23.2551,022
7158.196.24.0/22158.196.24.1 to 158.196.27.254158.196.27.2551,022
8158.196.28.0/22158.196.28.1 to 158.196.31.254158.196.31.2551,022
9158.196.32.0/22158.196.32.1 to 158.196.35.254158.196.35.2551,022
10158.196.36.0/22158.196.36.1 to 158.196.39.254158.196.39.2551,022
11158.196.40.0/22158.196.40.1 to 158.196.43.254158.196.43.2551,022
12158.196.44.0/22158.196.44.1 to 158.196.47.254158.196.47.2551,022
13158.196.48.0/22158.196.48.1 to 158.196.51.254158.196.51.2551,022
14158.196.52.0/22158.196.52.1 to 158.196.55.254158.196.55.2551,022
15158.196.56.0/22158.196.56.1 to 158.196.59.254158.196.59.2551,022
16158.196.60.0/22158.196.60.1 to 158.196.63.254158.196.63.2551,022
17158.196.64.0/22158.196.64.1 to 158.196.67.254158.196.67.2551,022
18158.196.68.0/22158.196.68.1 to 158.196.71.254158.196.71.2551,022
19158.196.72.0/22158.196.72.1 to 158.196.75.254158.196.75.2551,022
20158.196.76.0/22158.196.76.1 to 158.196.79.254158.196.79.2551,022
21158.196.80.0/22158.196.80.1 to 158.196.83.254158.196.83.2551,022
22158.196.84.0/22158.196.84.1 to 158.196.87.254158.196.87.2551,022
23158.196.88.0/22158.196.88.1 to 158.196.91.254158.196.91.2551,022
24158.196.92.0/22158.196.92.1 to 158.196.95.254158.196.95.2551,022
25158.196.96.0/22158.196.96.1 to 158.196.99.254158.196.99.2551,022
26158.196.100.0/22158.196.100.1 to 158.196.103.254158.196.103.2551,022
27158.196.104.0/22158.196.104.1 to 158.196.107.254158.196.107.2551,022
28158.196.108.0/22158.196.108.1 to 158.196.111.254158.196.111.2551,022
29158.196.112.0/22158.196.112.1 to 158.196.115.254158.196.115.2551,022
30158.196.116.0/22158.196.116.1 to 158.196.119.254158.196.119.2551,022
31158.196.120.0/22158.196.120.1 to 158.196.123.254158.196.123.2551,022
32158.196.124.0/22158.196.124.1 to 158.196.127.254158.196.127.2551,022
33158.196.128.0/22158.196.128.1 to 158.196.131.254158.196.131.2551,022
34158.196.132.0/22158.196.132.1 to 158.196.135.254158.196.135.2551,022
35158.196.136.0/22158.196.136.1 to 158.196.139.254158.196.139.2551,022
36158.196.140.0/22158.196.140.1 to 158.196.143.254158.196.143.2551,022
37158.196.144.0/22158.196.144.1 to 158.196.147.254158.196.147.2551,022
38158.196.148.0/22158.196.148.1 to 158.196.151.254158.196.151.2551,022
39158.196.152.0/22158.196.152.1 to 158.196.155.254158.196.155.2551,022
40158.196.156.0/22158.196.156.1 to 158.196.159.254158.196.159.2551,022
41158.196.160.0/22158.196.160.1 to 158.196.163.254158.196.163.2551,022
42158.196.164.0/22158.196.164.1 to 158.196.167.254158.196.167.2551,022
43158.196.168.0/22158.196.168.1 to 158.196.171.254158.196.171.2551,022
44158.196.172.0/22158.196.172.1 to 158.196.175.254158.196.175.2551,022
45158.196.176.0/22158.196.176.1 to 158.196.179.254158.196.179.2551,022
46158.196.180.0/22158.196.180.1 to 158.196.183.254158.196.183.2551,022
47158.196.184.0/22158.196.184.1 to 158.196.187.254158.196.187.2551,022
48158.196.188.0/22158.196.188.1 to 158.196.191.254158.196.191.2551,022
49158.196.192.0/22158.196.192.1 to 158.196.195.254158.196.195.2551,022
50158.196.196.0/22158.196.196.1 to 158.196.199.254158.196.199.2551,022
51158.196.200.0/22158.196.200.1 to 158.196.203.254158.196.203.2551,022
52158.196.204.0/22158.196.204.1 to 158.196.207.254158.196.207.2551,022
53158.196.208.0/22158.196.208.1 to 158.196.211.254158.196.211.2551,022
54158.196.212.0/22158.196.212.1 to 158.196.215.254158.196.215.2551,022
55158.196.216.0/22158.196.216.1 to 158.196.219.254158.196.219.2551,022
56158.196.220.0/22158.196.220.1 to 158.196.223.254158.196.223.2551,022
57158.196.224.0/22158.196.224.1 to 158.196.227.254158.196.227.2551,022
58158.196.228.0/22158.196.228.1 to 158.196.231.254158.196.231.2551,022
59158.196.232.0/22158.196.232.1 to 158.196.235.254158.196.235.2551,022
60158.196.236.0/22158.196.236.1 to 158.196.239.254158.196.239.2551,022
61158.196.240.0/22158.196.240.1 to 158.196.243.254158.196.243.2551,022
62158.196.244.0/22158.196.244.1 to 158.196.247.254158.196.247.2551,022
63158.196.248.0/22158.196.248.1 to 158.196.251.254158.196.251.2551,022
64158.196.252.0/22158.196.252.1 to 158.196.255.254158.196.255.2551,022
65158.197.0.0/22158.197.0.1 to 158.197.3.254158.197.3.2551,022
66158.197.4.0/22158.197.4.1 to 158.197.7.254158.197.7.2551,022
67158.197.8.0/22158.197.8.1 to 158.197.11.254158.197.11.2551,022
68158.197.12.0/22158.197.12.1 to 158.197.15.254158.197.15.2551,022
69158.197.16.0/22158.197.16.1 to 158.197.19.254158.197.19.2551,022
70158.197.20.0/22158.197.20.1 to 158.197.23.254158.197.23.2551,022
71158.197.24.0/22158.197.24.1 to 158.197.27.254158.197.27.2551,022
72158.197.28.0/22158.197.28.1 to 158.197.31.254158.197.31.2551,022
73158.197.32.0/22158.197.32.1 to 158.197.35.254158.197.35.2551,022
74158.197.36.0/22158.197.36.1 to 158.197.39.254158.197.39.2551,022
75158.197.40.0/22158.197.40.1 to 158.197.43.254158.197.43.2551,022
76158.197.44.0/22158.197.44.1 to 158.197.47.254158.197.47.2551,022
77158.197.48.0/22158.197.48.1 to 158.197.51.254158.197.51.2551,022
78158.197.52.0/22158.197.52.1 to 158.197.55.254158.197.55.2551,022
79158.197.56.0/22158.197.56.1 to 158.197.59.254158.197.59.2551,022
80158.197.60.0/22158.197.60.1 to 158.197.63.254158.197.63.2551,022
81158.197.64.0/22158.197.64.1 to 158.197.67.254158.197.67.2551,022
82158.197.68.0/22158.197.68.1 to 158.197.71.254158.197.71.2551,022
83158.197.72.0/22158.197.72.1 to 158.197.75.254158.197.75.2551,022
84158.197.76.0/22158.197.76.1 to 158.197.79.254158.197.79.2551,022
85158.197.80.0/22158.197.80.1 to 158.197.83.254158.197.83.2551,022
86158.197.84.0/22158.197.84.1 to 158.197.87.254158.197.87.2551,022
87158.197.88.0/22158.197.88.1 to 158.197.91.254158.197.91.2551,022
88158.197.92.0/22158.197.92.1 to 158.197.95.254158.197.95.2551,022
89158.197.96.0/22158.197.96.1 to 158.197.99.254158.197.99.2551,022
90158.197.100.0/22158.197.100.1 to 158.197.103.254158.197.103.2551,022
91158.197.104.0/22158.197.104.1 to 158.197.107.254158.197.107.2551,022
92158.197.108.0/22158.197.108.1 to 158.197.111.254158.197.111.2551,022
93158.197.112.0/22158.197.112.1 to 158.197.115.254158.197.115.2551,022
94158.197.116.0/22158.197.116.1 to 158.197.119.254158.197.119.2551,022
95158.197.120.0/22158.197.120.1 to 158.197.123.254158.197.123.2551,022
96158.197.124.0/22158.197.124.1 to 158.197.127.254158.197.127.2551,022
97158.197.128.0/22158.197.128.1 to 158.197.131.254158.197.131.2551,022
98158.197.132.0/22158.197.132.1 to 158.197.135.254158.197.135.2551,022
99158.197.136.0/22158.197.136.1 to 158.197.139.254158.197.139.2551,022
100158.197.140.0/22158.197.140.1 to 158.197.143.254158.197.143.2551,022
101158.197.144.0/22158.197.144.1 to 158.197.147.254158.197.147.2551,022
102158.197.148.0/22158.197.148.1 to 158.197.151.254158.197.151.2551,022
103158.197.152.0/22158.197.152.1 to 158.197.155.254158.197.155.2551,022
104158.197.156.0/22158.197.156.1 to 158.197.159.254158.197.159.2551,022
105158.197.160.0/22158.197.160.1 to 158.197.163.254158.197.163.2551,022
106158.197.164.0/22158.197.164.1 to 158.197.167.254158.197.167.2551,022
107158.197.168.0/22158.197.168.1 to 158.197.171.254158.197.171.2551,022
108158.197.172.0/22158.197.172.1 to 158.197.175.254158.197.175.2551,022
109158.197.176.0/22158.197.176.1 to 158.197.179.254158.197.179.2551,022
110158.197.180.0/22158.197.180.1 to 158.197.183.254158.197.183.2551,022
111158.197.184.0/22158.197.184.1 to 158.197.187.254158.197.187.2551,022
112158.197.188.0/22158.197.188.1 to 158.197.191.254158.197.191.2551,022
113158.197.192.0/22158.197.192.1 to 158.197.195.254158.197.195.2551,022
114158.197.196.0/22158.197.196.1 to 158.197.199.254158.197.199.2551,022
115158.197.200.0/22158.197.200.1 to 158.197.203.254158.197.203.2551,022
116158.197.204.0/22158.197.204.1 to 158.197.207.254158.197.207.2551,022
117158.197.208.0/22158.197.208.1 to 158.197.211.254158.197.211.2551,022
118158.197.212.0/22158.197.212.1 to 158.197.215.254158.197.215.2551,022
119158.197.216.0/22158.197.216.1 to 158.197.219.254158.197.219.2551,022
120158.197.220.0/22158.197.220.1 to 158.197.223.254158.197.223.2551,022
121158.197.224.0/22158.197.224.1 to 158.197.227.254158.197.227.2551,022
122158.197.228.0/22158.197.228.1 to 158.197.231.254158.197.231.2551,022
123158.197.232.0/22158.197.232.1 to 158.197.235.254158.197.235.2551,022
124158.197.236.0/22158.197.236.1 to 158.197.239.254158.197.239.2551,022
125158.197.240.0/22158.197.240.1 to 158.197.243.254158.197.243.2551,022
126158.197.244.0/22158.197.244.1 to 158.197.247.254158.197.247.2551,022
127158.197.248.0/22158.197.248.1 to 158.197.251.254158.197.251.2551,022
128158.197.252.0/22158.197.252.1 to 158.197.255.254158.197.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses